### Enumeration

# Vte PropertyType

since: 0.78

#### Declaration

    enum Vte.PropertyType

#### Description [src]

An enumeration type describing types of properties.

Available since: 0.78

#### Members

`VTE_PROPERTY_VALUELESS`

  No value, use for signalling.

  - Value: `0`
  - Available since: 0.78
`VTE_PROPERTY_BOOL`

  A bool.

  - Value: `1`
  - Available since: 0.78
`VTE_PROPERTY_INT`

  A signed 64-bit integer.

  - Value: `2`
  - Available since: 0.78
`VTE_PROPERTY_UINT`

  An unsigned 64-bit integer.

  - Value: `3`
  - Available since: 0.78
`VTE_PROPERTY_DOUBLE`

  A finite double-precision floating point number.

  - Value: `4`
  - Available since: 0.78
`VTE_PROPERTY_RGB`

  A color.

  - Value: `5`
  - Available since: 0.78
`VTE_PROPERTY_RGBA`

  A color with alpha.

  - Value: `6`
  - Available since: 0.78
`VTE_PROPERTY_STRING`

  A string.

  - Value: `7`
  - Available since: 0.78
`VTE_PROPERTY_DATA`

  Binary data.

  - Value: `8`
  - Available since: 0.78
`VTE_PROPERTY_UUID`

  A UUID.

  - Value: `9`
  - Available since: 0.78
`VTE_PROPERTY_URI`

  A URI.

  - Value: `10`
  - Available since: 0.78
`VTE_PROPERTY_IMAGE`

  An image. Since: 0.80.

  - Value: `11`
  - Available since: 0.78